## mk-configure 0.37.0

=== doc/Makefile ===
FILES    =	../README.md INSTALL.md NEWS TODO LICENSE FAQ NOTES
FILESDIR =	${DOCDIR}

.include <mkc.mk>

=== features/Makefile ===
.for f in libl strtoi strtou macro
FILES                      +=	mkc_imp.f_${f}.mk
FILESDIR_mkc_imp.f_${f}.mk  =	${MKFILESDIR}
.endfor

.for f in mkc_externc.h mkc_macro.h mkc_strtoi.h mkc_strtou.h
FILES            +=	${f}
FILESDIR_${f}     =	${FEATURESDIR}
.endfor

.for f in dprintf efun err errc fgetln fparseln getdelim getline \
    humanize_number posix_getopt progname pwdgrp raise_default_signal \
    reallocarr reallocarray strlcat strlcpy strndup strsep vis warn shquote
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/mkc_${f}.c
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
FILESDIR_${f}/mkc_${f}.c   =	${FEATURESDIR}/${f}
.endfor

.for f in aligned always_inline const noreturn printflike pure
FILES +=	macro/mkc_attribute_${f}.c
FILESDIR_macro/mkc_attribute_${f}.c  =	${FEATURESDIR}/macro
.endfor

.for f in strto/mkc_strtoi.c strto/mkc_strtou.c strto/mkc__strtoi.h vis/mkc_unvis.c \
  errc/mkc_verrc.c
FILES          +=	${f}
FILESDIR_${f}   =	${FEATURESDIR}/${f:H}
.endfor

.for f in libm libdl SLIST RB bswap fts arc4random
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
.endfor

.for f in netbsd_sys_queue.h netbsd_sys_tree.h _mkcfake.c
FILES         +=	${f}
FILESDIR_${f}  =	${FEATURESDIR}
.endfor

.for i in SPLAY
LINKS += ${MKFILESDIR}/mkc_imp.f_RB.mk ${MKFILESDIR}/mkc_imp.f_${i}.mk
LINKS += ${FEATURESDIR}/mkc_RB.h ${FEATURESDIR}/mkc_${i}.h

do_all: mkc_imp.f_${i}.mk mkc_${i}.h
mkc_imp.f_${i}.mk: mkc_imp.f_RB.mk
	cp mkc_imp.f_RB.mk ${.TARGET}
mkc_${i}.h: mkc_RB.h
	cp mkc_RB.h ${.TARGET}
CLEANFILES +=	mkc_${i}.h mkc_imp.f_${i}.mk
.endfor

.for i in SIMPLEQ STAILQ LIST TAILQ CIRCLEQ
LINKS += ${MKFILESDIR}/mkc_imp.f_SLIST.mk ${MKFILESDIR}/mkc_imp.f_${i}.mk
LINKS += ${FEATURESDIR}/mkc_SLIST.h ${FEATURESDIR}/mkc_${i}.h

# the following section is for tests/sys_queue regression test
do_all: mkc_imp.f_${i}.mk mkc_${i}.h
mkc_imp.f_${i}.mk: mkc_imp.f_SLIST.mk
	cp mkc_imp.f_SLIST.mk ${.TARGET}
mkc_${i}.h: mkc_SLIST.h
	cp mkc_SLIST.h ${.TARGET}
CLEANFILES +=	mkc_${i}.h mkc_imp.f_${i}.mk
.endfor

#
.include <mkc.files.mk>

=== presentation/Makefile ===
############################################################

MKC_REQUIRE_PROGS =	${PS2PDF} ${DOT} ${DVIPS} ${LATEX}

FILES             =	presentation.pdf myprojects.pdf
FILESDIR          =	${DOCDIR}

############################################################

do-all : presentation.pdf myprojects.pdf

.PHONY : pdf dvi rtf
pdf : presentation.pdf
ps  : presentation.ps
dvi : presentation.dvi

.SUFFIXES: .ps .eps .pdf .dvi .tex .dot

presentation.ps presentation.pdf presentation.dvi: my_prjs.eps dep_graph.eps

.ps.pdf:
	${PROG.${PS2PDF}} "$<" "$@"

#.tex.pdf:
#	pdflatex "$<" && pdflatex "$<"

.dot.eps:
	${PROG.${DOT}} -Tps ${.IMPSRC} > ${.TARGET}

.dvi.ps:
	${PROG.${DVIPS}} $<

.tex.dvi:
	${PROG.${LATEX}} "${.IMPSRC}" && ${PROG.${LATEX}} "${.IMPSRC}"

.gz:
	gzip ${.IMPSRC}

GARBAGE=	*.dvi *.aux *.vrb *.toc *.snm *.log *.nav *.out *.eps *.ps
CLEANFILES+=	${GARBAGE} *.pdf *.ps myprojects.tex

.PHONY: clean-garbage
clean-garbage:
	rm -f ${GARBAGE}

##################################################
myprojects.tex : presentation.tex
	awk '/^%%%begin-myprojects/, /^%%%end-myprojects/' \
		${.ALLSRC} > ${.TARGET}
myprojects.ps myprojects.pdf myprojects.dvi: my_prjs.eps

.include <mkc.mk>

=== scripts/Makefile ===
FILES    =	mkc_check_common.sh
FILESDIR_mkc_check_common.sh =	${MKC_LIBEXECDIR}
SCRIPTSDIR_mkc_get_deps      =	${MKC_LIBEXECDIR}

INFILES  =	mk-configure.7

INSCRIPTS  =	mkc_check_funclib mkc_check_header \
		mkc_check_sizeof  mkc_check_decl \
		mkc_check_prog mkc_check_custom \
		mkc_which mkc_check_compiler \
		mkc_install \
		mkc_check_version mkcmake \
		mkc_compiler_settings mkc_get_deps

SCRIPTS =	${INSCRIPTS}

MAN =		mkc_check_funclib.1 mkc_check_header.1 \
		mkc_check_sizeof.1  mkc_check_decl.1 \
		mkc_check_prog.1 mkc_check_custom.1 \
		mkc_which.1 mkc_check_compiler.1 \
		mkc_install.1 \
		mkc_check_version.1 mkcmake.1 \
		mkc_compiler_settings.1 \
		mk-configure.7

SYMLINKS   =	mkc.subprj.mk ${MKFILESDIR}/mkc.subprjs.mk
SYMLINKS  +=	mkc_imp.pkg-config.mk ${MKFILESDIR}/mkc.pkg-config.mk
SYMLINKS  +=	mkc_imp.intexts.mk ${MKFILESDIR}/mkc.intexts.mk

.include <mkc.mk>

=== examples/calc/Makefile ===
PROG =		calc
SRCS =		calc.y

DPSRCS =	calc.c

.include "test.mk"
.include <mkc.prog.mk>

=== examples/customtests/Makefile ===
PROG =			hello_customtests

WARNS =			4

MKC_CHECK_CUSTOM  =	alloca_in_stdlib_h # C lang check
MKC_CHECK_CUSTOM +=	alloca_in_alloca_h # C lang check
MKC_CHECK_CUSTOM +=	cxx_with_templates # C++ lang check
MKC_CHECK_CUSTOM +=	true_is_available  # script-based check
MKC_CHECK_CUSTOM +=	shtest             # script-based check

MKC_CUSTOM_FN.alloca_in_stdlib_h = custom_tests/alloca_in_stdlib_h.c
MKC_CUSTOM_FN.alloca_in_alloca_h = custom_tests/alloca_in_alloca_h.c
MKC_CUSTOM_FN.cxx_with_templates = custom_tests/cxx_with_templates.cc
MKC_CUSTOM_FN.true_is_available  = custom_tests/true_is_available
MKC_CUSTOM_FN.shtest             = custom_tests/shtest

MKC_CHECK_BUILTINS +=		endianness

MKC_REQD =		0.12.0

.include <mkc.configure.mk>

BUILTIN.endianness ?=
.if ${BUILTIN.endianness} != little && ${BUILTIN.endianness} != big
MKC_ERR_MSG =	"Do you run PDP-11?"
.endif

.include "test.mk"
.include <mkc.prog.mk>

=== examples/cxxlib/Makefile ===
PROJECTNAME =	hello_cxx

LIBDEPS =	cxxlib:cxxapp cxxlib2:cxxapp

.include "test.mk"
.include <mkc.subdir.mk>

=== examples/libdeps/Makefile ===
LIBDEPS += libs/libfoo:libs/libfooqux
LIBDEPS += libs/libbar:progs/fooquxfoobar
LIBDEPS += libs/libfooqux:progs/fooquxfoobar
LIBDEPS += libs/libfoo:progs/foobaz libs/libbaz:progs/foobaz

.include "test.mk"
.include <mkc.mk>

=== examples/raise_default_signal/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		raise_default_signal

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>

=== examples/reallocarray/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		reallocarray

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>

=== tests/cc_type_custom_check1/Makefile ===
MKC_CHECK_CUSTOM =	check

MKC_CUSTOM_FN.check = ../../examples/customtests/custom_tests/alloca_in_stdlib_h.c

.include "test.mk"
.include <mkc.mk>

=== tests/cccxx_type/Makefile ===
.include "test.mk"

.include <mkc.minitest.mk>
.include <mkc.mk>

=== debian/changelog ===
mk-configure (0.37.0-2) unstable; urgency=medium

  * Manually install by calling bmake directly.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Jan 2023 16:13:04 +0100

mk-configure (0.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Dec 2022 16:43:55 +0100

=== debian/control ===
Source: mk-configure
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 bmake (>= 20131001),
 debhelper-compat (= 12),
 ghostscript,
 graphviz,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/mk-configure/
Vcs-Browser: https://salsa.debian.org/debian/mk-configure
Vcs-Git: https://salsa.debian.org/debian/mk-configure.git

Package: mk-configure
Architecture: all
Depends:
 bmake,
 ${misc:Depends}
Recommends:
 pkgconf | pkg-config
Description: lightweight replacement for GNU autotools
 mk-configure is a lightweight easy-to-use replacement for GNU autotools,
 written in bmake (portable version of NetBSD make) and POSIX tools (shell,
 awk etc).

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX := /usr
export SYSCONFDIR := /etc
export MANDIR := $(PREFIX)/share/man
export MKFILESDIR := $(PREFIX)/share/mk-configure/mk

%:
	dh $@ --buildsystem=bmake

override_dh_auto_clean:
	-dh_auto_clean
	bmake cleandir-presentation

override_dh_auto_build:
	dh_auto_build
	bmake pdf

override_dh_auto_install:
	bmake install DESTDIR=$(CURDIR)/debian/mk-configure

override_dh_auto_test:
	-bmake test

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test
